Bug 1288044 - Scroll bar does not change size dynamically - making content inaccessible
Scroll bar does not change size dynamically - making content inaccessible
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Robert (Bob) Brodt
Jozef Marko
:
: 1288033 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 06:21 EST by Anton Giertli
Modified: 2016-02-17 02:38 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
all menus (73.31 KB, image/png)
2015-12-03 06:24 EST, Anton Giertli
no flags Details
scroll bar not long enough (129.34 KB, image/png)
2015-12-03 06:24 EST, Anton Giertli
no flags Details
unreachable menus (111.19 KB, image/png)
2015-12-03 06:25 EST, Anton Giertli
no flags Details

  None (edit)
Description Anton Giertli 2015-12-03 06:21:44 EST
Description of problem:
Scroll bar does not change size dynamically - some sections of UI are inaccessible 

Version-Release number of selected component (if applicable):

JBDS
Version: 9.0.0.GA
Build id: GA-v20151002-2235-B124
Build date: 20151002-2235


PLUGIN
  BPMN2 Modeler - Diagram Editor	1.2.1.201509111741	org.eclipse.bpmn2.modeler.feature.group	Eclipse.org

How reproducible:
always

Steps to Reproduce:
1. Try to see all sections of the UI

Actual results:

Some sections of the UI are inaccessible due to issues with scroll bar - either it does not even get created, or its size is wrong

Expected results:

Every section in UI is accessible
Additional info:
Comment 1 Anton Giertli 2015-12-03 06:24 EST
Created attachment 1101783 [details]
all menus

This is the initial situation - all menus are 'wrapped'. - no issues here
Comment 2 Anton Giertli 2015-12-03 06:24 EST
Created attachment 1101784 [details]
scroll bar not long enough

I have expanded some of the menus and scroll bar is not long enough, therefore the Escalation section is not accessibla
Comment 3 Anton Giertli 2015-12-03 06:25 EST
Created attachment 1101785 [details]
unreachable menus

In this case, scroll bar did not even get created and it is not possible to access couple of menus at all.
Comment 4 Robert (Bob) Brodt 2016-01-21 12:08:05 EST
Fixed in version 1.2.3 (Mars) and 1.3.0 (Neon) of the BPMN2 Modeler.
Comment 5 Robert (Bob) Brodt 2016-01-21 12:58:27 EST
*** Bug 1288033 has been marked as a duplicate of this bug. ***
Comment 6 Jozef Marko 2016-02-17 02:38:09 EST
Verified on:
jbds-9.1.0.Beta2_jbdsis-9.0.0.Beta1
jbtis-4.3.0.Beta1
BPMN2 Modeler - 1.2.3.CR2-v20160209-2002

Note You need to log in before you can comment on or make changes to this bug.